var actual_page = null;

// Install app
$(document).ready(function(){
    
    $(".headerclass").click(function(event){
        event.preventDefault();
        $(".m-content").hide();
        if($(this).parent().hasClass('m-active')){
            $(this).parent().removeClass('m-active');
        } else {
            $(".mblAccordionTitle").removeClass('m-active');
            $(this).parent().addClass('m-active');
            $(this).next('.m-content').show();
        }
    });

    // guardo la actual page para saber que mostrar/ocultar cuando se clickea en ayuda
    actual_page = $("#main");
    $("#footerAyudaBtn").click(function(event){
        event.preventDefault();
        //$("#main").hide();

        actual_page.hide();

        $("#ayuda").show();
        $(this).hide();
        $("#ayuda_back_button").show();
        if(!$("#ayudaidanchor").parent().hasClass('m-active')){
            $("#ayudaidanchor").click();
        }        
    });  
    $("#dlg_message_cerrar").click(function(){
        $("#dlg_message").hide();
        $(".mblSimpleDialogCover").hide();
    });
    $("#dlg_message_cerrar_2").click(function(){
        $("#dlg_message_2").hide();
        $(".mblSimpleDialogCover").hide();
        window.localStorage.setItem(guid_storage_key, null);
        call.to("Register3G", null, function(response){                 
            
            // Conexion 3G detectada, guardar el token
            
            /* Si pase un callback, llamar ese methodo
             * con el nuevo token como parametro.
             */
            resultado = $(response).find('Register3GResult').text();
            $("#dlg_loading").hide();
            if(resultado=="ERROR:8"){
                $("#main").hide();
               /* $("#dlg_message_text").text("Registro via 3G no disponible");
                $("#dlg_message").show();*/

                // seteo actual page
                actual_page = $("#askPhone");

                $("#askPhone").show();
                return false;
            }
            utils.saveGUID(resultado);
            
            if (callback !== null){
                callback(resultado);
            }
            
        });
    });
    $("#results_list").on('click','.result-list-item',function(event){
        var parada = $(this).attr('data-parada');
        var linea = $(this).attr('data-linea');
       if (parada && (parada != "0")){
            $("#consulta_1_linea").val(linea);
            $("#consulta_1_parada").val(parada);
            $("#result").hide();
            $('#main').show();
            $("#results_back_button").hide();
            $("#footerAyudaBtn").show();
            $("#bystoph3").click();
            
        }
    });

    $(".m-content").hide();
    $("#listadofavos").hide();
    $("#bylineah3").click();
    $("#results_back_button").click(function(evt){
        $("#result").hide();
        $("#main").show();
        $(this).hide();
        $("#footerAyudaBtn").show();
        favourites.current_favourite = null;
    });
    $("#ayuda_back_button").click(function(evt){
        $("#ayuda").hide();

        // muestro la ultima page antes de mostrar la ayuda
        //$("#main").show();
        actual_page.show();

        $(this).hide();
        $("#footerAyudaBtn").show();
        favourites.current_favourite = null;
    });
    $("#favourites_list").on('click','li',function(event){
        current_favourite = 0;
        var query = $(this).attr('data-query');
        var linea = $(this).attr('data-line');        
        var parada = $(this).attr('data-stop');
         utils.verifyToken(function(token){
           consultas.queryService(query, token, {
                line:linea, 
                stop:parada
            });
        });
    });
   $("input").focus(function(event){
        $(".div_position_bottom").each(function(){
            if(!$(this).parent().is("hidden")){
                if($(this).hasClass('div_position_bottom')){
                    $(this).addClass("position_bottom_focused");
                    $(this).removeClass("div_position_bottom");
                }
            }
         });
        var position = $(this).position();
        $('body').animate({ scrolslTop: position.top });
        event.preventDefault();
    });
   $("input").blur(function(event){
        //resizeapp();
        var position = $(this).position();
        $('body').animate({ scrolslTop: position.top });
    });
   $('body').click(function(event){
        if(event.target.nodeName!='INPUT'){
            resizeapp();
        }
   });
   favourites.reload();
});
function resizeapp(){
    $(".position_bottom_focused").each(function(){
       if(!$(this).parent().is("hidden")){
            if($(this).hasClass('position_bottom_focused')){
                $(this).addClass("div_position_bottom");
                $(this).removeClass("position_bottom_focused");
            }
        }
    });
}